Download it now!
Bug 91992 - LO50b3: Images are not shown in local Help
Summary: LO50b3: Images are not shown in local Help
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures Help-Viewer
  Show dependency treegraph
 
Reported: 2015-06-10 20:21 UTC by Martin Srebotnjak
Modified: 2017-09-26 08:40 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Slovenian OSX help with placeholder instead of picture (207.08 KB, image/png)
2015-06-10 20:21 UTC, Martin Srebotnjak
Details
screenshot (126.52 KB, image/png)
2015-09-20 18:35 UTC, Yan Pas
Details
Images in Draw Help are not shown in Russian Help. (185.30 KB, image/png)
2016-05-29 10:06 UTC, Victor Pakhomov
Details
the example in English local (105.96 KB, image/png)
2016-05-29 10:32 UTC, tagezi
Details
Small Sifr icons in 5.3b2 sl help on OSX (66.36 KB, image/png)
2016-12-11 22:24 UTC, Martin Srebotnjak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2015-06-10 20:21:04 UTC
Created attachment 116447 [details]
Slovenian OSX help with placeholder instead of picture

The icons in the local Slovenian Help on OSX are not shown, just placeholders.
Comment 1 Alex Thurgood 2015-06-11 14:01:37 UTC
In the French help, I only see it with certain help images, where there has obviously been no Breez/Sifr design for the icon, and it attempts to fall back to Tango, e.g.

vnd.sun.star.zip://file:%2F%2F%2FApplications%2FLibreOfficeDev.app%2FContents%2FResources%2Fconfig%2Fimages_tango.zip/cmd/sc_adddatefield.png

or maybe it is because the path URL is crewed ?

Do you see it with all icons from the localized help ?
Comment 2 Alex Thurgood 2015-06-11 14:02:24 UTC
My build:

Version: 5.1.0.0.alpha1+
Build ID: a799d7c9a66464f33bd8ee42d535e29a976d64ae
Locale : fr-FR (fr.UTF-8)

OSX 10.0.3
Comment 3 Martin Srebotnjak 2015-06-11 14:29:17 UTC
Yes, I have Sifr selected as icon set in LO. In that case this placeholder is shown.

If I select the Breeze (default) iconset, I can see the Breeze yellow exclamation mark square picture ther.

So obviously this icon does not get displayed if Sifr is selected, nor is there fall back to something else or fall back is unsuccessful.
Comment 4 Alex Thurgood 2015-06-11 14:53:49 UTC
@miles: can you do like I did and copy the image to a Writer document, and then from there select the image and go into Fomatting with the context menu to get the complete path and post it in this bug report ? That will help us nail down which ones are missing, and whether they are the same as thos already identified here :

https://help.libreoffice.org/Special:WantedFiles

Thanks 
  

Confirming
Comment 5 Alex Thurgood 2015-06-11 15:06:14 UTC
Also :

vnd.sun.star.zip://file:%2F%2F%2FApplications%2FLibreOfficeDev.app%2FContents%2FResources%2Fconfig%2Fimages_tango.zip/cmd/sc_drawselect.png
Comment 6 Martin Srebotnjak 2015-06-11 15:15:56 UTC
This seems to be the missing file (for the GoTo command description in Basic Help in the screenshot supplied):
vnd.sun.star.zip://file:%2F%2F%2FApplications%2FLibreOfficeDev.app%2FContents%2FResources%2Fconfig%2Fimages_sifr.zip/res/helpimg/warning.png
Comment 7 Martin Srebotnjak 2015-06-20 19:10:27 UTC
I can still see this bug on OSX with 50rc1 when Sifr icons are selected instead of default Breeze.
Comment 9 Yan Pas 2015-09-20 18:35:32 UTC
Created attachment 118883 [details]
screenshot

The same on Linux. I'm using Humanity theme from Linux Mint devs. Theme version for LO v. 4.4.3, mine LO version is 5.0.1
Comment 10 Regina Henschel 2015-10-29 16:45:48 UTC
Finding images has been improved with fix for bug 75637. Please test with a current daily build, whether this fixes your problem too.
Comment 11 Yan Pas 2016-02-02 19:06:44 UTC
No, the bug still exists.
Comment 12 Victor Pakhomov 2016-05-29 10:06:08 UTC
Created attachment 125367 [details]
Images in Draw Help are not shown in Russian Help.

Images in Draw Help are not shown in Russian Help.
Help shows placeholder instead of image with some text inside like
vnd.sun.star.zip://file:%2F

Version: 4.2.8.2
Build ID: 420m0(Build:2)
OS: Ubuntu 14.04.04
Comment 13 tagezi 2016-05-29 10:32:49 UTC
Created attachment 125368 [details]
the example in English local

This issue exist in English too. I found this in the few places, and think that it be present in more places.
The example is in the attachment.
Comment 14 Martin Srebotnjak 2016-12-11 22:22:20 UTC
Seems to work in 5.2.4.1 and 5.3b2, but the icons used from Sifr font are really small (and the help text is big on OSX), so take a look at the attached screenshot.
Comment 15 Martin Srebotnjak 2016-12-11 22:24:15 UTC
Created attachment 129506 [details]
Small Sifr icons in 5.3b2 sl help on OSX
Comment 16 Martin Srebotnjak 2017-09-25 21:27:04 UTC
OK, since the icon size is not the main issue here and it seems the problem was solved (and is not seen in 5.4.x etc.), I am now closing this bug as resolved.